Get Recurring Transactions

API Explorer
loading...
POST
/transactions

Retrieves a list of all executed transactions under a specified recurring subscription.

Header Parameters

token*string

Auth token must be included in the header for all API requests to authenticate and authorize access.

Request Body

application/json

subscription_id*string

The unique identifier of the subscription

Response Body

application/json

curl -X POST "https://example.com/transactions" \  -H "token: string" \  -H "Content-Type: application/json" \  -d '{    "subscription_id": "12345"  }'
{
  "data": {
    "transactions": [
      {
        "transaction_id": "51088655988483539520250927060054",
        "amount": 1.11,
        "last4": "4242",
        "payment_date": "2025-09-27",
        "tpn": "282925835395",
        "status": "SUCCESS"
      }
    ],
    "subscription_id": "KJOT4DMXNILODKR",
    "tpn": "282925835395",
    "status": "ACTIVE",
    "amount": 1.11,
    "currency": "USD",
    "recurring_frequency": "ANNUALLY",
    "next_payment_date": "2026-09-27",
    "end_criteria": "COUNT",
    "end_value": 2,
    "type": "CARD",
    "reference_id": "111111111111"
  },
  "message": "transactions",
  "response_code": "success",
  "status_code": 200,
  "request_id": "TEST-20251112013220-2HO5ZL",
  "timestamp": "2025-11-12T06:32:20.540Z"
}